diff -pruN 4.4.2-1/debian/changelog 4.4.2-2/debian/changelog
--- 4.4.2-1/debian/changelog	2024-03-23 18:51:39.000000000 +0000
+++ 4.4.2-2/debian/changelog	2024-07-04 13:17:04.000000000 +0000
@@ -1,3 +1,10 @@
+libgweather4 (4.4.2-2) unstable; urgency=medium
+
+  * Team upload
+  * Add patch to fix FTBFS due to tzdata 2020a (Closes: #1069361)
+
+ -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 04 Jul 2024 15:17:04 +0200
+
 libgweather4 (4.4.2-1) unstable; urgency=medium
 
   * New upstream release.
diff -pruN 4.4.2-1/debian/patches/Replace-references-to-Ameria-Godthab-timezone-with-Americ.patch 4.4.2-2/debian/patches/Replace-references-to-Ameria-Godthab-timezone-with-Americ.patch
--- 4.4.2-1/debian/patches/Replace-references-to-Ameria-Godthab-timezone-with-Americ.patch	1970-01-01 00:00:00.000000000 +0000
+++ 4.4.2-2/debian/patches/Replace-references-to-Ameria-Godthab-timezone-with-Americ.patch	2024-07-04 13:17:04.000000000 +0000
@@ -0,0 +1,33 @@
+From: Michael Hudson-Doyle <michael.hudson@canonical.com>
+Date: Mon, 24 Jun 2024 10:45:47 +1200
+Subject: Replace references to Ameria/Godthab timezone with America/Nuuk.
+
+This follows changes in the 2020a release of the tz database.
+
+Forwarded: https://gitlab.gnome.org/GNOME/libgweather/-/merge_requests/311
+---
+ data/Locations.xml | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/data/Locations.xml b/data/Locations.xml
+index 96e949b..cf99d44 100644
+--- a/data/Locations.xml
++++ b/data/Locations.xml
+@@ -6810,7 +6810,7 @@
+             -->
+           <_name>Danmarkshavn</_name>
+         </timezone>
+-        <timezone id="America/Godthab">
++        <timezone id="America/Nuuk">
+           <!-- The primary timezone for Greenland, although sources
+                seem to point towards calling the area "Western
+                Greenland" rathern than just "Greenland".
+@@ -6830,7 +6830,7 @@
+           <_name>Thule AFB</_name>
+         </timezone>
+       </timezones>
+-      <tz-hint>America/Godthab</tz-hint>
++      <tz-hint>America/Nuuk</tz-hint>
+       <location>
+         <name>Thule A. B.</name>
+         <code>BGTL</code>
diff -pruN 4.4.2-1/debian/patches/series 4.4.2-2/debian/patches/series
--- 4.4.2-1/debian/patches/series	2024-03-23 18:51:39.000000000 +0000
+++ 4.4.2-2/debian/patches/series	2024-07-04 13:17:04.000000000 +0000
@@ -1,3 +1,4 @@
 disable-tests-that-require-Internet.patch
 Update-Kyiv-timezone-name.patch
 Fix-Pristina-Kosovo-timezone-name.patch
+Replace-references-to-Ameria-Godthab-timezone-with-Americ.patch
